Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.taglib.nested.html
Class NestedTextTag

    java.lang.Object
      BaseFieldTag
          com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter
              com.bea.struts.adapter.taglib.html.TextTag
                  com.bea.struts.adapter.taglib.nested.html.NestedTextTag

All Implemented Interfaces
  TagAdapter

    public class NestedTextTag

extends TextTag

Tag adapter for the Struts NestedTextTag.

This class is based on 3rd party types and is thus dependent upon announced or unannounced changes to those 3rd party types. Extensions of this class by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal or in future versions of the 3rd party types.

Constructor Summary
`NestedTextTag()`

Method Summary
`int` | `doEndTag()` Complete the processing of the tag.
`int` | `doStartTag()` Overriding method of the heart of the matter.
`void` | `release()` Release the tag's resources and reset the values.

Methods inherited from class com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter
`adaptPrepareIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedTextTag

    public NestedTextTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Overriding method of the heart of the matter. Gets the relative property and leaves the rest up to the original tag implementation. Sweet.

  Overrides:
    `doStartTag` in class `BaseFieldTagAdapter`
  Returns
    int JSP continuation directive. This is in the hands of the super class.
  Throws
    `JspException`

### doEndTag

    public int doEndTag()
                 throws JspException

  Complete the processing of the tag. The nested tags here will restore all the original value for the tag itself and the nesting context.

  Returns
    int to describe the next step for the JSP processor
  Throws
    `JspException` - for the bad things JSP's do

### release

    public void release()

  Release the tag's resources and reset the values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved